error in upgrade to OMV 5.1.2-1/5.1.3-1

    • OMV 5.x (beta)
    • Update

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • error in upgrade to OMV 5.1.2-1/5.1.3-1

      Hello

      I have tried to update to the versions above, and the update gave me the following errors:

      Source Code

      1. _Setting up openmediavault (5.1.3-1) ...
      2. Creating configuration database ...
      3. Migrating configuration database ...
      4. Setting up Salt environment ...
      5. [ERROR ] 'utf-8' codec can't decode byte 0xff in position 0: invalid start byte
      6. Traceback (most recent call last):
      7. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 210, in parse_args
      8. process_option_func()
      9. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 548, in process_config_dir
      10. self.config.update(self.setup_config())
      11. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 2759, in setup_config
      12. cache_minion_id=True)
      13. File "/usr/lib/python3/dist-packages/salt/config/__init__.py", line 2453, in minion_config
      14. exit_on_config_errors=not ignore_config_errors))
      15. File "/usr/lib/python3/dist-packages/salt/config/__init__.py", line 2331, in include_config
      16. opts = _read_conf_file(fn_)
      17. File "/usr/lib/python3/dist-packages/salt/config/__init__.py", line 2188, in _read_conf_file
      18. conf_opts = salt.utils.yaml.safe_load(conf_file) or {}
      19. File "/usr/lib/python3/dist-packages/salt/utils/yamlloader.py", line 179, in safe_load
      20. return yaml.load(stream, Loader=Loader)
      21. File "/usr/lib/python3/dist-packages/yaml/__init__.py", line 72, in load
      22. return loader.get_single_data()
      23. File "/usr/lib/python3/dist-packages/yaml/constructor.py", line 35, in get_single_data
      24. node = self.get_single_node()
      25. File "ext/_yaml.pyx", line 702, in _yaml.CParser.get_single_node
      26. File "ext/_yaml.pyx", line 903, in _yaml.CParser._parse_next_event
      27. File "ext/_yaml.pyx", line 912, in _yaml.input_handler
      28. File "/usr/lib/python3.7/codecs.py", line 322, in decode
      29. (result, consumed) = self._buffer_decode(data, self.errors, final)
      30. UnicodeDecodeError: 'utf-8' codec can't decode byte 0xff in position 0: invalid start byte
      31. [ERROR ] An un-handled exception was caught by salt's global exception handler:
      32. TypeError: '>=' not supported between instances of 'UnicodeDecodeError' and 'int'
      33. Traceback (most recent call last):
      34. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 210, in parse_args
      35. process_option_func()
      36. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 548, in process_config_dir
      37. self.config.update(self.setup_config())
      38. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 2759, in setup_config
      39. cache_minion_id=True)
      40. File "/usr/lib/python3/dist-packages/salt/config/__init__.py", line 2453, in minion_config
      41. exit_on_config_errors=not ignore_config_errors))
      42. File "/usr/lib/python3/dist-packages/salt/config/__init__.py", line 2331, in include_config
      43. opts = _read_conf_file(fn_)
      44. File "/usr/lib/python3/dist-packages/salt/config/__init__.py", line 2188, in _read_conf_file
      45. conf_opts = salt.utils.yaml.safe_load(conf_file) or {}
      46. File "/usr/lib/python3/dist-packages/salt/utils/yamlloader.py", line 179, in safe_load
      47. return yaml.load(stream, Loader=Loader)
      48. File "/usr/lib/python3/dist-packages/yaml/__init__.py", line 72, in load
      49. return loader.get_single_data()
      50. File "/usr/lib/python3/dist-packages/yaml/constructor.py", line 35, in get_single_data
      51. node = self.get_single_node()
      52. File "ext/_yaml.pyx", line 702, in _yaml.CParser.get_single_node
      53. File "ext/_yaml.pyx", line 903, in _yaml.CParser._parse_next_event
      54. File "ext/_yaml.pyx", line 912, in _yaml.input_handler
      55. File "/usr/lib/python3.7/codecs.py", line 322, in decode
      56. (result, consumed) = self._buffer_decode(data, self.errors, final)
      57. UnicodeDecodeError: 'utf-8' codec can't decode byte 0xff in position 0: invalid start byte
      58. During handling of the above exception, another exception occurred:
      59. Traceback (most recent call last):
      60. File "/usr/bin/salt-call", line 11, in <module>
      61. salt_call()
      62. File "/usr/lib/python3/dist-packages/salt/scripts.py", line 431, in salt_call
      63. client.run()
      64. File "/usr/lib/python3/dist-packages/salt/cli/call.py", line 21, in run
      65. self.parse_args()
      66. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 215, in parse_args
      67. process_option_func, traceback.format_exc(err)
      68. File "/usr/lib/python3.7/traceback.py", line 167, in format_exc
      69. return "".join(format_exception(*sys.exc_info(), limit=limit, chain=chain))
      70. File "/usr/lib/python3.7/traceback.py", line 121, in format_exception
      71. type(value), value, tb, limit=limit).format(chain=chain))
      72. File "/usr/lib/python3.7/traceback.py", line 508, in __init__
      73. capture_locals=capture_locals)
      74. File "/usr/lib/python3.7/traceback.py", line 337, in extract
      75. if limit >= 0:
      76. TypeError: '>=' not supported between instances of 'UnicodeDecodeError' and 'int'
      77. Traceback (most recent call last):
      78. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 210, in parse_args
      79. process_option_func()
      80. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 548, in process_config_dir
      81. self.config.update(self.setup_config())
      82. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 2759, in setup_config
      83. cache_minion_id=True)
      84. File "/usr/lib/python3/dist-packages/salt/config/__init__.py", line 2453, in minion_config
      85. exit_on_config_errors=not ignore_config_errors))
      86. File "/usr/lib/python3/dist-packages/salt/config/__init__.py", line 2331, in include_config
      87. opts = _read_conf_file(fn_)
      88. File "/usr/lib/python3/dist-packages/salt/config/__init__.py", line 2188, in _read_conf_file
      89. conf_opts = salt.utils.yaml.safe_load(conf_file) or {}
      90. File "/usr/lib/python3/dist-packages/salt/utils/yamlloader.py", line 179, in safe_load
      91. return yaml.load(stream, Loader=Loader)
      92. File "/usr/lib/python3/dist-packages/yaml/__init__.py", line 72, in load
      93. return loader.get_single_data()
      94. File "/usr/lib/python3/dist-packages/yaml/constructor.py", line 35, in get_single_data
      95. node = self.get_single_node()
      96. File "ext/_yaml.pyx", line 702, in _yaml.CParser.get_single_node
      97. File "ext/_yaml.pyx", line 903, in _yaml.CParser._parse_next_event
      98. File "ext/_yaml.pyx", line 912, in _yaml.input_handler
      99. File "/usr/lib/python3.7/codecs.py", line 322, in decode
      100. (result, consumed) = self._buffer_decode(data, self.errors, final)
      101. UnicodeDecodeError: 'utf-8' codec can't decode byte 0xff in position 0: invalid start byte
      102. During handling of the above exception, another exception occurred:
      103. Traceback (most recent call last):
      104. File "/usr/bin/salt-call", line 11, in <module>
      105. salt_call()
      106. File "/usr/lib/python3/dist-packages/salt/scripts.py", line 431, in salt_call
      107. client.run()
      108. File "/usr/lib/python3/dist-packages/salt/cli/call.py", line 21, in run
      109. self.parse_args()
      110. File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 215, in parse_args
      111. process_option_func, traceback.format_exc(err)
      112. File "/usr/lib/python3.7/traceback.py", line 167, in format_exc
      113. return "".join(format_exception(*sys.exc_info(), limit=limit, chain=chain))
      114. File "/usr/lib/python3.7/traceback.py", line 121, in format_exception
      115. type(value), value, tb, limit=limit).format(chain=chain))
      116. File "/usr/lib/python3.7/traceback.py", line 508, in __init__
      117. capture_locals=capture_locals)
      118. File "/usr/lib/python3.7/traceback.py", line 337, in extract
      119. if limit >= 0:
      120. TypeError: '>=' not supported between instances of 'UnicodeDecodeError' and 'int'
      121. dpkg: error processing package openmediavault (--configure):
      122. installed openmediavault package post-installation script subprocess returned error exit status 1
      123. dpkg: dependency problems prevent configuration of openmediavault-omvextrasorg:
      124. openmediavault-omvextrasorg depends on openmediavault (>= 5.0); however:
      125. Package openmediavault is not configured yet.
      126. dpkg: error processing package openmediavault-omvextrasorg (--configure):
      127. dependency problems - leaving unconfigured
      128. Errors were encountered while processing:
      129. openmediavault
      130. openmediavault-omvextrasorg
      Display All
      Does anyone have any idea what went wrong?
    • Hi... I just installed OMV a couple of days and am having the same issue. It happened when I tried to install the omv extras plugin and it seems as part of the install script it looks to update OMV. I wanted to use OMV w ZFS. I was heading in the direction of FreeNAS when OMV seemed like a nice choice given that it’s Debian based and I’m not comfortable with FreeBSD. In any case I can’t get this script to complete successfully either..... exact same error that @ralliac had above. Thx - ED
      Images
      • 4FF45917-6980-48D7-AA93-7398DCCF760C.png

        385.16 kB, 2,048×1,536, viewed 50 times
    • This is a salt error and not the fault of omv-extras. There was a bug report on github for omv and they could not find the reason. I would reinstall and make sure the media you are using does not have bad areas.
      omv 5.2.5 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.2
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Agreed. It's a salt stack error AND it's nothing to do with omv-extras BUT Open Media Vault is using salt within it's upgrade script and in particular the python files that are executed as a result. In particular it's a problem with line 322 in the codecs.py file -> "(result, consumed) = self._buffer_decode(data, self.errors, final)" which throws the error

      "UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8c in position 4: invalid start byte".


      I'm a bit handicapped given I'm not a python guy. And since this script was likely crafted by the omv folks when developing the upgrade script, I figured it someone within that group might know what the issue is.

      I've checked the disk, reinstalled two subsequent times (fresh installs), always with the same result (when upgrading).
    • Speddero wrote:

      And since this script was likely crafted by the omv folks when developing the upgrade script,
      codecs.py is a python-maintained script not OMV.
      omv 5.2.5 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.2
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • New

      Hi,

      Have warnings here on a fresh install of OMV5 and on new hardware. The SSD seems ok.

      Source Code

      1. Creating configuration database ...
      2. Migrating configuration database ...
      3. Setting up Salt environment ...
      4. Setting up system ...
      5. [WARNING ] /usr/lib/python3/dist-packages/salt/modules/file.py:32: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
      6. from collections import Iterable, Mapping, namedtuple
      7. [WARNING ] /usr/lib/python3/dist-packages/salt/utils/jinja.py:638: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
      8. if isinstance(lst1, collections.Hashable) and isinstance(lst2, collections.Hashable):
      9. [WARNING ] /usr/lib/python3/dist-packages/salt/utils/decorators/signature.py:31: DeprecationWarning: `formatargspec` is deprecated since Python 3.5. Use `signature` and the `Signature` object directly
      10. *salt.utils.args.get_function_argspec(original_function)
      11. Processing system modifications ...
      Display All

      Finally, I don't need omv-extras. How can I delete it properly?
      Hope not to pollute the Rallaic's topic with my question.
    • New

      Sero wrote:

      Have warnings here on a fresh install of OMV5 and on new hardware. The SSD seems ok.
      They are harmless and need to be fixed by saltstack not OMV.

      Sero wrote:

      Finally, I don't need omv-extras. How can I delete it properly?
      Uninstall it from the plugins tab.
      omv 5.2.5 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.2
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!